मुख्य सामग्री पर जाएं
GET
/
2
/
tweets
/
search
/
stream
/
rules
/
counts
स्ट्रीम नियमों की संख्या प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/tweets/search/stream/rules/counts \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "all_project_client_apps": [
      {
        "client_app_id": "<string>",
        "rule_count": 123
      }
    ],
    "cap_per_client_app": 123,
    "cap_per_project": 123,
    "client_app_rules_count": {
      "client_app_id": "<string>",
      "rule_count": 123
    },
    "project_rules_count": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

क्वेरी पैरामीटर

rules_count.fields
enum<string>[]

प्रदर्शित करने के लिए RulesCount फ़ील्ड्स की अल्पविराम-से-अलग सूची। RulesCount ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
all_project_client_apps,
cap_per_client_app,
cap_per_project,
client_app_rules_count,
project_rules_count
उदाहरण:
[
"all_project_client_apps",
"cap_per_client_app",
"cap_per_project",
"client_app_rules_count",
"project_rules_count"
]

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object

ऐप और प्रोजेक्ट स्तरों पर उपयोगकर्ता द्वारा दी गई stream filtering rules की संख्या।

errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।